#!/bin/sh -eu

. install2-init-functions

[ -d "$destdir/root" ] || return 0
mkdir -p -m700 -- "$destdir/root/.install-log"

cd "$destdir/root/.install-log"

# Copy alteratord.log from temporary dir to /tmp
cp /tmp/tmp.*/log/alteratord.log /tmp ||:

for f in install2 basesystem x11 pkg-install alteratord; do
	[ -f "/tmp/$f.log" ] || continue
	sed 's/\<\(passwd[12] "\)[^"]*"/\1*"/g' <"/tmp/$f.log" >"$f.log"
done
